#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install
export DH_VERBOSE = 1
export DH_RUBY_GEM_INSTALL_BLACKLIST_APPEND = lib/chef/provider/package/yum/simplejson/LICENSE.txt

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_install:
	./debian/install-backcompat
	dh_auto_install
	dh_installinit --name chef-client -- defaults 99 02
	cp -rf $(CURDIR)/debian/etc/chef/client.rb $(CURDIR)/debian/chef/usr/share/chef
	cp -rf $(CURDIR)/debian/etc/chef/solo.rb $(CURDIR)/debian/chef/usr/share/chef
	for bin in $$(cd $(CURDIR)/debian/chef-bin/usr/bin && ls -1 cinc-*); do \
		dh_link -p chef-bin "usr/bin/$$bin" "usr/bin/chef-$${bin#cinc-}"; \
	done
	find $(CURDIR)/debian/chef/ -name \*.pyc -delete
